SoScrollingGraphKit(3)

NAME
SoScrollingGraphKit - The SoScrollingGraphKit element class is yet to be documented.

SYNOPSIS

#include <Inventor/annex/Profiler/nodekits/SoScrollingGraphKit.h>

Inherits SoBaseKit.

  Public Types
enum GraphicsType { LINES, STACKED_BARS, DEFAULT_GRAPHICS = STACKED_BARS }
enum RangeType { ABSOLUTE_ACCUMULATIVE, DEFAULT_RANGETYPE = ABSOLUTE_ACCUMULATIVE }

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoNodekitCatalog * getNodekitCatalog (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static const SoNodekitCatalog * getClassNodekitCatalog (void)
static void initClass (void)

  Public Attributes
SoSFEnum graphicsType
SoSFEnum rangeType
SoSFTime seconds
SoMFColor colors
SoSFVec3f viewportSize
SoSFVec3f position
SoSFVec3f size
SoMFName addKeys
SoMFFloat addValues

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoNodekitCatalog ** getClassNodekitCatalogPtr (void)
static void addValuesCB (void *closure, SoSensor *sensor)

  Protected Attributes
SoSFNode scene

  Additional Inherited Members

Detailed Description

The SoScrollingGraphKit element class is yet to be documented.

Member Function Documentation

  SoType SoScrollingGraphKit::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoScrollingGraphKit::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoBaseKit.

  const SoFieldData ** SoScrollingGraphKit::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoScrollingGraphKit::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoBaseKit.

  const SoNodekitCatalog * SoScrollingGraphKit::getClassNodekitCatalog (void) [static]
Returns the nodekit catalog which defines the layout of this class' kit.

  const SoNodekitCatalog * SoScrollingGraphKit::getNodekitCatalog (void) const [virtual]
Returns the nodekit catalog which defines the layout of this class' kit.

Reimplemented from SoBaseKit.

  const SoNodekitCatalog ** SoScrollingGraphKit::getClassNodekitCatalogPtr (void) [static], [protected]
Returns the pointer to the pointer of the nodekit catalog for this class.

Author

Generated automatically by Doxygen for Coin from the source code.